#Bukkit Arena

Bukkit Arena is NOT just another Arena Plugin. Bukkit Arena alone, does nothing, in the same sense that craftbukkit alone does nothing. Bukkit Arena Requires additional .jar files which define ArenaTypes, allowing an infinite amount of types of arenas possible. Bukkit Arena also features a thoroughly developed API, as described in the Features Section.

Features
--------
Here are the proposed(some finished) features of Bukkit Arena: 

  - Wave API for spawning large amounts of Mobs at spawnpoints throughout an arena. Also allows for modification of Damage, and waves that will Scale in size over the course of the match.
  - Simple Team API. Maybe your players aren't here to kill eachother, and instead fight monsters? Or maybe kill other players?
  - Simple Class API. Give your players different available classes per Arena.
  - Spawn Point API. Specify down to EntityTypes what can spawn where.
  - Automatic, customizable protection for the Arenas. Set up a spleef arena if you feel like it.
  - Prevent players from leaving. Players can't just walk out.
  - Spectating. Players will be able to spectate matches, making them invisible to other players, and capable of flying. They can't leave the arena, meaning your server will remain secure.
  - Share spawn points between ArenaTypes. Set it up once, use it 50 different ways.
  - Simple Copy and paste of Arenas, including blocks, and biomes.
  - Custom Events. Listen for events that modify arenas just as you would listen for any other Bukkit Event.
  - Custom Commands for ArenaTypes.
  - Vault support for rewards in money, or you can just give them good ol` items.
  - Change every message the plugin sends, so any language can be used. Or maybe you just don't like the default messages.
  - Fully Documented for Plugin Developers.
  - Lobby system. Let your players vote on maps and gametypes that they're going to play.
  - Source code is available via github, found [here].
  - Automatic. No admins are needed to babysit it.

Suggested Features
--------
 - Comment on [BukkitDev] to request a feature.
 - You could also post a topic on Bukkit Arena [forums]

When can i get Bukkit Arena?
--------
 - The aimed public release date is mid-August

How can i help?
--------
 - Currently, the only open position on [BukkitDev] is Ticket Manager. If you're familiar with YAML, and are decent which setting up plugins, please send me a pm there.
 - You could also fork the github repo and add/edit/fix things in BukkitArena, the submit a pull request.

So..... How's the progress?
--------
As of 8/10/2012, a lot of the API has been finished. Based on the github commit history the size of the project is roughly 4,500 lines of code. For those interested, the repository is located [here].

**Here is what i have done:**

- Loading custom modules to define arena types.
- Wave API.
- Class API.
- Point API.
- Team API.
- Objective API. Things like flags and regions can be done with this.
- Easy spawning for teams, waves, and players.
- Custom Events for everything done so far.
- Verbose Logger.
- Lobby **(50%)**
- Player and mob wrappers.

**Here's the large sections that still have to be done:**

>Commands. Commands are probably one of the largest parts of this plugin, so this could take awhile. 

>Listeners. Could take awhile, not as long as commands though.

>Testing and bugfixing. This WILL take awhile.

#Links


- **[BukkitDev]**
- **GitHub Repo [here]**
- **Bukkit Arena [forums]**
- **Bukkit Arena [website]**
- **Bukkit Arena [wiki]**



  [BukkitDev]: http://dev.bukkit.org/server-mods/bukkit-arena/
  [here]: https://github.com/evilmidget38/bukkit-arena
  [forums]: http://dev.bukkit.org/server-mods/bukkit-arena/forum/
  [website]: http://bukkitarena.com
  [wiki]: http://wiki.bukkitarena.com

