/**
 * 
 */
package com.bukkitarena.arenatype;

import org.bukkit.configuration.ConfigurationSection;

import com.bukkitarena.configuration.EasyConfiguration;
import com.bukkitarena.configuration.Load;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaTypeSettings extends EasyConfiguration {

    @Load
    String waveset;
    @Load
    String classset;
    @Load
    String spawnset;
    @Load
    int max, min;

    public ArenaTypeSettings(ConfigurationSection c) {
        load(c);
    }

    /**
     * @return the waveset
     */
    public String getWaveset() {
        return waveset;
    }

    /**
     * @param waveset
     *            the waveset to set
     */
    public void setWaveset(String waveset) {
        this.waveset = waveset;
    }

    /**
     * @return the classset
     */
    public String getClassset() {
        return classset;
    }

    /**
     * @param classset
     *            the classset to set
     */
    public void setClassset(String classset) {
        this.classset = classset;
    }

    /**
     * @return the spawnset
     */
    public String getSpawnset() {
        return spawnset;
    }

    /**
     * @param spawnset
     *            the spawnset to set
     */
    public void setSpawnset(String spawnset) {
        this.spawnset = spawnset;
    }

}
