/**
 * 
 */
package com.bukkitarena.event;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Nate Mortensen
 * 
 * 
 * 
 *         This is a dumbed-down version of Bukkit's EventHandler. Two reasons
 *         for this: 1. I don't support all the same features, such as priority,
 *         simply because it's completely un-necessary, and un-needed in this
 *         situation. 2. I'm trying to make it so developers need as few
 *         non-BukkitArena imports as possible.
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface EventHandler {

}
