/**
 * 
 */
package com.bukkitarena.event.arena;

import org.bukkit.event.HandlerList;

import com.bukkitarena.arena.Arena;
import com.bukkitarena.event.ArenaEvent;
import com.bukkitarena.spawning.Wave;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaWaveSpawnEvent extends ArenaEvent {

    public static HandlerList handlers = new HandlerList();
    Wave wave;

    /**
     * @param a
     */
    public ArenaWaveSpawnEvent(Arena a, Wave wave) {
        super(a);
        this.wave = wave;
    }

    public Wave getWave() {
        return wave;
    }

    public HandlerList getHandlers() {
        return handlers;
    }

}
