/**
 * 
 */
package com.bukkitarena.event.entity;

import org.bukkit.event.HandlerList;
import org.bukkit.event.entity.EntityDamageEvent.DamageCause;

import com.bukkitarena.entity.ArenaEntity;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaEntityDamageByEntityEvent extends ArenaEntityDamageEvent {

    static HandlerList handlers = new HandlerList();
    ArenaEntity damager;

    public ArenaEntityDamageByEntityEvent(ArenaEntity victim, ArenaEntity damager, int damage) {
        super(victim, DamageCause.ENTITY_ATTACK, damage);
        this.damager = damager;
    }

    public ArenaEntity getDamager() {
        return damager;
    }

    public HandlerList getHandlers() {
        return handlers;
    }

}
