/**
 * 
 */
package com.bukkitarena.event.entity;

import org.bukkit.Location;
import org.bukkit.event.Cancellable;
import org.bukkit.event.HandlerList;

import com.bukkitarena.entity.ArenaEntity;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaEntitySpawnEvent extends ArenaEntityEvent implements Cancellable {

    static HandlerList handlers = new HandlerList();
    boolean cancelled;
    Location location;

    /**
     * @param e
     */
    public ArenaEntitySpawnEvent(ArenaEntity e, Location location) {
        super(e);
        this.location = location;
    }

    public boolean isCancelled() {
        return cancelled;
    }

    public void setCancelled(boolean arg0) {
        cancelled = arg0;

    }

    public HandlerList getHandlers() {
        return handlers;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location loc) {
        location = loc;
    }

}
