package com.bukkitarena.event.lobby;

import org.bukkit.event.Cancellable;
import org.bukkit.event.Event;

import com.bukkitarena.lobby.Lobby;

public abstract class LobbyEvent extends Event implements Cancellable {
    Lobby lobby;
    boolean cancelled;

    public LobbyEvent(Lobby lobby) {
        this.lobby = lobby;
    }

    public boolean isCancelled() {
        return cancelled;
    }

    public void setCancelled(boolean newval) {
        cancelled = newval;
    }

}
