package com.bukkitarena.event.lobby;

import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;

import com.bukkitarena.lobby.Lobby;

public class LobbyJoinEvent extends LobbyEvent {

    public static HandlerList handlers = new HandlerList();
    Player player;

    public LobbyJoinEvent(Lobby lobby, Player p) {
        super(lobby);
        player = p;
    }

    public Player getPlayer() {
        return player;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

}
