/**
 * 
 */
package com.bukkitarena.event.objective;

import org.bukkit.block.Block;
import org.bukkit.event.HandlerList;

import com.bukkitarena.entity.ArenaPlayer;
import com.bukkitarena.objective.BlockObjective;

/**
 * @author Nate Mortensen
 * 
 */
public class BlockObjectiveClickEvent extends ObjectiveEvent {

    static HandlerList handlers = new HandlerList();
    Block block;
    ClickType type;

    /**
     * @param p
     * @param o
     */
    public BlockObjectiveClickEvent(ArenaPlayer p, BlockObjective o, Block b, ClickType type) {
        super(p, o, b);
        block = b;
        this.type = type;
    }

    public ClickType getClickType() {
        return type;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.bukkit.event.Event#getHandlers()
     */
    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList internalHandlers = new HandlerList();

    public HandlerList getInternalHandlers() {
        return internalHandlers;
    }

    public enum ClickType {
        RIGHT, LEFT;
    };

}
