/**
 * 
 */
package com.bukkitarena.event.objective;

import org.bukkit.block.Block;

import com.bukkitarena.entity.ArenaPlayer;
import com.bukkitarena.event.player.ArenaPlayerEvent;
import com.bukkitarena.objective.BlockObjective;

/**
 * @author Nate Mortensen
 * 
 */
public abstract class ObjectiveEvent extends ArenaPlayerEvent {

    BlockObjective objective;

    Block b;

    public ObjectiveEvent(ArenaPlayer p, BlockObjective o, Block b) {
        super(p);
        objective = o;
        this.b = b;
    }

    public BlockObjective getObjective() {
        return objective;
    }

    public Block getBlock() {
        return b;
    }

}
