/**
 * 
 */
package com.bukkitarena.listeners;

import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

import com.bukkitarena.BukkitArena;
import com.bukkitarena.runnable.MovementCheck;

/**
 * @author Nate Mortensen
 * 
 */
public class PlayerListener extends BAListener {
    MovementCheck check = new MovementCheck();

    public PlayerListener() {
        BukkitArena.getScheduler().scheduleRepeating(check = new MovementCheck(), 1, 10);
    }

    @EventHandler
    public void onPlayerJoinEvent(PlayerJoinEvent e) {
        Player p = e.getPlayer();
        check.addPlayer(p);
    }

    @EventHandler
    public void onPlayerQuitEvent(PlayerQuitEvent e) {
        Player p = e.getPlayer();
        check.removePlayer(p);
        if (!BukkitArena.getArenaManager().inArena(p))
            return;
        BukkitArena.getArenaManager().getArena(p).playerLeave(p);
    }

    @EventHandler
    public void onPlayerInteractEvent(PlayerInteractEvent e) {

    }

}
