/**
 * 
 */
package com.bukkitarena;

import java.util.logging.Logger;

/**
 * @author Nate Mortensen
 * 
 */
public class VerboseLogger {
    Logger log = Logger.getLogger("Minecraft");
    MessageImportance minimum;

    public VerboseLogger(String s) {
        minimum = Enum.valueOf(MessageImportance.class, s);
    }

    public void log(String msg, MessageImportance m) {
        if (m.getValue() >= minimum.getValue()) {
            log.info("[BukkitArena]" + m.prefix + msg);
        }

    }

}
