/**
 * 
 */
package com.bukkitarena.event.entity;

import java.util.List;

import org.bukkit.event.HandlerList;
import org.bukkit.inventory.ItemStack;

import com.bukkitarena.entity.ArenaEntity;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaEntityDeathEvent extends ArenaEntityEvent {

    public static HandlerList handlers = new HandlerList();
    List<ItemStack> drops;
    int exp;

    public ArenaEntityDeathEvent(ArenaEntity e, List<ItemStack> drops, int exp) {
        super(e);
        this.drops = drops;
        this.exp = exp;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList internalHandlers = new HandlerList();

    public HandlerList getInternalHandlers() {
        return internalHandlers;
    }

    public List<ItemStack> getDrops() {
        return drops;
    }

    public int getDroppedExp() {
        return exp;
    }

}
