/**
 * 
 */
package com.bukkitarena.event.lobby;

import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;

import com.bukkitarena.lobby.Lobby;

/**
 * @author Nate Mortensen
 * 
 */
public class LobbyVoteEvent extends LobbyEvent {

    static HandlerList handlers = new HandlerList();

    String previousChoice;
    String newChoice;
    Player player;

    /**
     * @param lobby
     */
    public LobbyVoteEvent(Lobby lobby, Player player, String newChoice, String previousChoice) {
        super(lobby);
        this.previousChoice = previousChoice;
        this.newChoice = newChoice;
        this.player = player;
    }

    /**
     * @return the previousChoice
     */
    public String getPreviousChoice() {
        return previousChoice;
    }

    /**
     * @return the newChoice
     */
    public String getNewChoice() {
        return newChoice;
    }

    /**
     * @param newChoice
     *            the newChoice to set
     */
    public void setNewChoice(String newChoice) {
        this.newChoice = newChoice;
    }

    /**
     * @return the player
     */
    public Player getPlayer() {
        return player;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

}
