/**
 * 
 */
package com.bukkitarena.event.objective;

import org.bukkit.block.Block;
import org.bukkit.event.Cancellable;
import org.bukkit.event.HandlerList;

import com.bukkitarena.entity.ArenaPlayer;
import com.bukkitarena.objective.BlockObjective;

/**
 * @author Nate Mortensen
 * 
 */
public class BlockObjectiveBreakEvent extends ObjectiveEvent implements Cancellable {
    public static HandlerList handlers = new HandlerList();
    ArenaPlayer player;
    Block block;
    boolean cancelled;

    public BlockObjectiveBreakEvent(ArenaPlayer p, BlockObjective o, Block b) {
        super(p, o, b);
        player = p;
        block = b;
    }

    public ArenaPlayer getPlayer() {
        return player;
    }

    public Block getBlock() {
        return block;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    @Override
    public boolean isCancelled() {
        return cancelled;
    }

    @Override
    public void setCancelled(boolean arg0) {
        cancelled = arg0;

    }

}
