/**
 * 
 */
package com.bukkitarena.event.player;

import com.bukkitarena.entity.ArenaPlayer;
import com.bukkitarena.event.entity.ArenaEntityEvent;

/**
 * @author Nate Mortensen
 * 
 */
public abstract class ArenaPlayerEvent extends ArenaEntityEvent {

    ArenaPlayer player;

    /**
     * @param a
     */
    public ArenaPlayerEvent(ArenaPlayer p) {
        super(p);
        player = p;
    }

    public ArenaPlayer getPlayer() {
        return player;
    }

}
