/**
 * 
 */
package com.bukkitarena.event.player;

import org.bukkit.Location;
import org.bukkit.event.Cancellable;
import org.bukkit.event.HandlerList;

import com.bukkitarena.entity.ArenaPlayer;

/**
 * @author Nate Mortensen
 * 
 */
public class ArenaPlayerRespawnEvent extends ArenaPlayerEvent implements Cancellable {

    static HandlerList handlers = new HandlerList();
    boolean cancelled = false;
    Location respawnLocation;

    /**
     * @param p
     */
    public ArenaPlayerRespawnEvent(ArenaPlayer p, Location l) {
        super(p);
        respawnLocation = l;
    }

    public Location getRespawnLocation() {
        return respawnLocation;
    }

    @Override
    public boolean isCancelled() {
        return cancelled;
    }

    @Override
    public void setCancelled(boolean arg0) {
        cancelled = arg0;

    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList internalHandlers = new HandlerList();

    public HandlerList getInternalHandlers() {
        return internalHandlers;
    }

}
