/**
 * 
 */
package com.bukkitarena.listeners;

import org.bukkit.event.block.BlockBreakEvent;

import com.bukkitarena.BukkitArena;
import com.bukkitarena.arena.Arena;
import com.bukkitarena.event.EventManager;
import com.bukkitarena.event.objective.BlockObjectiveBreakEvent;
import com.bukkitarena.objective.BlockObjective;

/**
 * @author Nate Mortensen
 * 
 */
public class BlockListener extends BAListener {

    public void onBlockBreakEvent(BlockBreakEvent e) {
        Arena a = EventManager.getArena(e);
        if (a == null)
            return;
        BlockObjective objective = a.getBlockObjective(e.getBlock());
        BlockObjectiveBreakEvent event = new BlockObjectiveBreakEvent(a.getPlayer(e.getPlayer().getName()), objective, e.getBlock());
        objective.onObjectiveBlockBreak(event);
        if (!event.isCancelled())
            BukkitArena.getEventManager().callEvent(event);
    }

}
