/**
 * 
 */
package com.bukkitarena.lobby;

import java.util.List;

import org.bukkit.configuration.ConfigurationSection;

import com.bukkitarena.configuration.EasyConfiguration;
import com.bukkitarena.configuration.Load;

/**
 * @author Nate Mortensen
 * 
 */
public class LobbySettings extends EasyConfiguration {
    @Load
    int amountToVote = 1, amountToStart = 1, max = 0, time = 30;

    @Load
    List<String> arenas;

    /**
     * @param c
     */
    public LobbySettings(ConfigurationSection c) {
        load(c);
    }

    /**
     * @return the amountToVote
     */
    public int getAmountToVote() {
        return amountToVote;
    }

    public int getTime() {
        return time;
    }

    /**
     * @return the amountToStart
     */
    public int getAmountToStart() {
        return amountToStart;
    }

    /**
     * @return the arenas
     */
    public List<String> getArenas() {
        return arenas;
    }

    public int getMaximumPlayers() {
        return max;
    }

    /**
     * @param amountToVote
     *            the amountToVote to set
     */
    public void setAmountToVote(int amountToVote) {
        this.amountToVote = amountToVote;
    }

    /**
     * @param amountToStart
     *            the amountToStart to set
     */
    public void setAmountToStart(int amountToStart) {
        this.amountToStart = amountToStart;
    }

    /**
     * @param arenas
     *            the arenas to set
     */
    public void setArenas(List<String> arenas) {
        this.arenas = arenas;
    }

}
