/**
 * 
 */
package com.bukkitarena.objective;

import org.bukkit.block.Block;

/**
 * @author Nate Mortensen
 * 
 */
public abstract class SingleBlockObjective implements BlockObjective {

    int score;
    Block block;

    /**
     * @param s
     *            The number of points to be rewarded for this objective.
     * @param b
     *            The block that this objective uses.
     */
    public SingleBlockObjective(int s, Block b) {
        score = s;
        block = b;
    }

    public int getScore() {
        return score;
    }

    public void setScore(int s) {
        score = s;
    }

    public boolean contains(Block b) {
        if (block.equals(b))
            return true;
        return false;
    }

    public Block getBlock() {
        return block;
    }

}
