package com.bukkitarena.regionregenerator;

import org.bukkit.Location;
import org.bukkit.block.BlockState;
/*
 * Actually much simpler that SimpleChange, but this is for things besides the placing/removing of blocks.  Things like physics, fading, growing, etc.
 */
public class Change {

	BlockState state;
	public Change(BlockState state) {
		this.state = state;
		
	}

	public void revert() {
		state.getBlock().setData(state.getRawData());
		state.getBlock().setType(state.getType());
		
	}
	public Location getLocation() {
		return state.getLocation();
	}
	@Override
	public boolean equals(Object obj) {
		if (!(obj instanceof Change)) {
			return false;
		}
		Change c = (Change) obj;
		if (c.getLocation().equals(state.getLocation())) {
			return true;
		}
		return false;
		
	}

}
