/**
 * 
 */
package com.bukkitarena.util;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Set;

/**
 * @author Nate Mortensen
 * 
 */
public class ComputeUtil {

    public static long getAbsVal(long l) {
        return (long) Math.sqrt(l * l);
    }

    public static double exponent(double number, double exponent) {
        double val = number;
        for (int i = 0; i < exponent; i++)
            val *= number;
        return val;
    }

    public static HashMap<Integer, Integer> convertHashMapStringInt(HashMap<String, Integer> map) {
        HashMap<Integer, Integer> newmap = new HashMap<Integer, Integer>();
        for (String key : map.keySet()) {
            newmap.put(Integer.parseInt(key), map.get(key));
        }
        return newmap;
    }

    public static double getMinimum(double d1, double d2) {
        return d1 <= d2 ? d1 : d2;
    }

    public static double getMaximum(double d1, double d2) {
        return d1 >= d2 ? d1 : d2;
    }

    @SuppressWarnings("unchecked")
    public static <T> List<T> convertSetToList(Set<T> set) {
        List<Object> objs = new ArrayList<Object>();
        for (Object obj : set) {
            objs.add(obj);
        }
        return (List<T>) objs;

    }

}
